Bug 1731757 - Additon of removal of keys causes boot errors
Summary: Additon of removal of keys causes boot errors
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: mokutil
Version: 31
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-21 20:16 UTC by maarten
Modified: 2020-11-24 18:22 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-24 18:22:18 UTC
Type: Bug


Attachments (Terms of Use)
Boot error text (118.06 KB, image/jpeg)
2019-07-21 20:16 UTC, maarten
no flags Details

Description maarten 2019-07-21 20:16:23 UTC
Created attachment 1592468 [details]
Boot error text

Description of problem:
I want to remove/add keys to shim using mokutil.
After a reboot to confirm my addition/removal, my machine fails to boot.
The following error is displayed:
```
Failed to open /EFI/BOOT/mmx64.efi - Not Found
Failed to load Image /EFI/BOOT/mmx64.efi: Not Found
Failed to start MokManager: Not Found
Something has gone seriously wrong: import_mok_state() failedFAILED
: Not Found
```
(see attachment)

Version-Release number of selected component (if applicable):
0.3.0-11.fc30

How reproducible:
This happened both times after I had removed my previously added key and after I have added a new key.

Steps to Reproduce:
1. openssl req -x509 -new -utf8 -sha256 -batch -outform DER -out public_key.der -keyout private_key.priv
2. sudo mokutil --import public_key.der

Actual results:
After reboot, the system shows the error.
```
Failed to open /EFI/BOOT/mmx64.efi - Not Found
Failed to load Image /EFI/BOOT/mmx64.efi: Not Found
Failed to start MokManager: Not Found
Something has gone seriously wrong: import_mok_state() failedFAILED
: Not Found
```
I am able to fix this by starting my system using a usb live image.
When booting the live use image, MokManager will add the key.

Expected results:
After POST tests, the MokManager should add the keys without any error and needing a live image.

Comment 1 Ben Cotton 2019-08-13 17:02:54 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 2 Ben Cotton 2019-08-13 18:58:47 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 3 Javier Martinez Canillas 2020-06-11 08:50:59 UTC
Is this issue still present? I'm not able to reproduce it.

Can you please show the output of efibootmgr -v ?

Comment 4 maarten 2020-06-11 14:05:56 UTC
This machine is still running fedora 30.
I haven't tested adding keys now but I will again once I upgrade it to 32.

$ efibootmgr -v 
BootCurrent: 0000
Timeout: 0 seconds
BootOrder: 0002,0000,0007,2001,2002,2003
Boot0000* HDD0: TOSHIBA THNSNH256GMCT	PciRoot(0x0)/Pci(0x1f,0x2)/Sata(4,0,0)/HD(7,GPT,c9004164-c149-42ba-974c-5506b88f9f44,0xca98800,0x64000)RC
Boot0002* Fedora	HD(7,GPT,c9004164-c149-42ba-974c-5506b88f9f44,0xca98800,0x64000)/File(\EFI\fedora\shimx64.efi)
Boot0004* PIONEER BD-RW  BDRTD03RT        	BBS(CDROM,,0x500)................-.s.......s.A.s....#...................................
Boot0005* TOSHIBA THNSNH256GMCT           	BBS(HD,,0x500)................-...........A......B...................................
Boot0007* Windows Boot Manager	HD(2,GPT,3fc2bf51-cbd4-498b-a2ba-113d6bef8e11,0xc8800,0x96000)/File(\EFI\Microsoft\Boot\bootmgfw.efi)WINDOWS.........x...B.C.D.O.B.J.E.C.T.=.{.9.d.e.a.8.6.2.c.-.5.c.d.d.-.4.e.7.0.-.a.c.c.1.-.f.3.2.b.3.4.4.d.4.7.9.5.}...Y6...............
Boot2001* EFI USB Device	RC
Boot2002* EFI DVD/CDROM	RC
Boot2003* EFI Network	RC

$ efibootmgr --version
version 16

Comment 5 Ben Cotton 2020-11-03 15:21:33 UTC
This message is a reminder that Fedora 31 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 31 on 2020-11-24.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '31'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 31 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Ben Cotton 2020-11-24 18:22:18 UTC
Fedora 31 changed to end-of-life (EOL) status on 2020-11-24. Fedora 31 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.